# std::experimental::optional<T>::operator bool

From cppreference.com
< cpp‎ | experimental‎ | optional

constexpr explicit operator bool() const noexcept; |  | (library fundamentals TS)

Checks whether *this contains a value.

### Parameters

(none)

### Return value

true if *this contains a value, false if *this does not contain a value.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/optional/operator_bool&oldid=93213"